summaryrefslogtreecommitdiffstats
path: root/broot.sh
diff options
context:
space:
mode:
authorSebastian2010-04-11 19:48:33 +0200
committerSebastian2010-04-11 19:48:33 +0200
commitc8f51a43fa97e5f42df9b82d1427c33b8d988bb8 (patch)
tree1a4d69f701fede992dfa3b61e3ead9d2381a3b20 /broot.sh
parentadded dependency based system to run defined tasks (diff)
downloadbroot-c8f51a43fa97e5f42df9b82d1427c33b8d988bb8.tar.gz
broot-c8f51a43fa97e5f42df9b82d1427c33b8d988bb8.tar.xz
broot-c8f51a43fa97e5f42df9b82d1427c33b8d988bb8.zip
added function to quickly access a shell inside chroot
started with enlightenment lib package (incomplete, commit just for transfer)
Diffstat (limited to 'broot.sh')
-rwxr-xr-xbroot.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/broot.sh b/broot.sh
index e3d2c74..dd4d06f 100755
--- a/broot.sh
+++ b/broot.sh
@@ -3,6 +3,10 @@
. ./inc/env.inc.sh # read slx config to find paths
. ./inc/functions.inc.sh
+if [ "$(whoami)" != "root" ]; then
+ echo " You need to be root"
+ exit 12
+fi
case $1 in
"setup")
@@ -15,6 +19,9 @@ case $1 in
tasks="build_busybox"
# chroot-exec /root/bin/build-bb.sh
;;
+ "shell")
+ tasks="shell"
+ ;;
"build-initramfs-pkgs")
tasks="build_busybox build_packages build_kernel"
# updateScripts